import { createFileRoute, redirect } from "@tanstack/react-router";
import { checkUserAccess } from "@/lib/authClient";
import DmPage from "../../-components/logistics/dm/dmPage";

export const Route = createFileRoute("/_old/old/(logistics)/dm/")({
	component: RouteComponent,
	beforeLoad: async () => {
		const auth = await checkUserAccess({
			allowedRoles: ["systemAdmin", "technician", "admin", "manager"],
			moduleName: "demandManagement", // optional
		});

		if (!auth) {
			throw redirect({
				to: "/login",
				search: {
					// Use the current location to power a redirect after login
					// (Do not use `router.state.resolvedLocation` as it can
					// potentially lag behind the actual current location)
					redirect: location.pathname + location.search,
				},
			});
		}
	},
});

function RouteComponent() {
	return (
		<div>
			<DmPage />
		</div>
	);
}
